package dev.shadowsoffire.apotheosis.adventure.compat;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import dev.shadowsoffire.apotheosis.adventure.Adventure;
import dev.shadowsoffire.apotheosis.adventure.compat.AdventureJEIPlugin;
import dev.shadowsoffire.apotheosis.adventure.compat.GemCuttingCategory;
import dev.shadowsoffire.apotheosis.adventure.socket.gem.cutting.GemCuttingBlock;
import java.util.Arrays;
import mezz.jei.api.constants.VanillaTypes;
import mezz.jei.api.gui.builder.IRecipeLayoutBuilder;
import mezz.jei.api.gui.drawable.IDrawable;
import mezz.jei.api.helpers.IGuiHelper;
import mezz.jei.api.ingredients.IIngredientType;
import mezz.jei.api.recipe.IFocusGroup;
import mezz.jei.api.recipe.RecipeIngredientRole;
import mezz.jei.api.recipe.RecipeType;
import mezz.jei.api.recipe.category.IRecipeCategory;
import net.minecraft.network.chat.Component;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.level.ItemLike;

public class GemCuttingCategory implements IRecipeCategory<GemCuttingCategory.GemCuttingRecipe> {
  public static final ResourceLocation TEXTURES = new ResourceLocation("apotheosis", "textures/gui/gem_cutting_jei.png");
  
  private final IDrawable background;
  
  private final IDrawable icon;
  
  public GemCuttingCategory(IGuiHelper guiHelper) {
    this.background = (IDrawable)guiHelper.drawableBuilder(TEXTURES, 0, 0, 148, 78).addPadding(0, 0, 0, 0).build();
    this.icon = guiHelper.createDrawableIngredient((IIngredientType)VanillaTypes.ITEM_STACK, new ItemStack((ItemLike)Adventure.Blocks.GEM_CUTTING_TABLE.get()));
  }
  
  public RecipeType<GemCuttingRecipe> getRecipeType() {
    return AdventureJEIPlugin.GEM_CUTTING;
  }
  
  public Component getTitle() {
    return GemCuttingBlock.NAME;
  }
  
  public IDrawable getBackground() {
    return this.background;
  }
  
  public IDrawable getIcon() {
    return this.icon;
  }
  
  public void setRecipe(IRecipeLayoutBuilder builder, GemCuttingRecipe recipe, IFocusGroup focuses) {
    builder.addSlot(RecipeIngredientRole.INPUT, 48, 37).addIngredient((IIngredientType)VanillaTypes.ITEM_STACK, recipe.gem);
    builder.addSlot(RecipeIngredientRole.INPUT, 48, 4).addIngredients((IIngredientType)VanillaTypes.ITEM_STACK, Arrays.asList(recipe.materials));
    builder.addSlot(RecipeIngredientRole.INPUT, 19, 56).addIngredient((IIngredientType)VanillaTypes.ITEM_STACK, recipe.gem);
    builder.addSlot(RecipeIngredientRole.INPUT, 76, 56).addIngredient((IIngredientType)VanillaTypes.ITEM_STACK, recipe.dust);
    builder.addSlot(RecipeIngredientRole.OUTPUT, 117, 35).addIngredient((IIngredientType)VanillaTypes.ITEM_STACK, recipe.out);
  }
}
